#! /bin/sh -e

# DP: Disable running the libmudflap testsuite. Getting killed on alpha.

dir=
if [ $# -eq 3 -a "$2" = '-d' ]; then
    pdir="-d $3"
    dir="$3/"
elif [ $# -ne 1 ]; then
    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
    exit 1
fi
case "$1" in
    -patch)
        patch $pdir -f --no-backup-if-mismatch -p0 < $0
        ;;
    -unpatch)
        patch $pdir -f --no-backup-if-mismatch -R -p0 < $0
        ;;
    *)
        echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
        exit 1
esac
exit 0

--- libmudflap/testsuite/Makefile.in~	2005-09-23 18:33:47.000000000 +0200
+++ libmudflap/testsuite/Makefile.in	2006-03-25 20:31:45.044903808 +0100
@@ -218,6 +218,8 @@
 
 
 check-DEJAGNU: site.exp
+	@echo target $@ disabled for Debian build.
+check-DEJAGNU-disabled: site.exp
 	srcdir=`$(am__cd) $(srcdir) && pwd`; export srcdir; \
 	EXPECT=$(EXPECT); export EXPECT; \
 	runtest=$(RUNTEST); \
